import request from '@/utils/request'

// 查询扣款管理列表
export function listCompanyDeduct(query) {
  return request({
    url: '/his/companyDeduct/list',
    method: 'get',
    params: query
  })
}

// 查询扣款管理详细
export function getCompanyDeduct(deductId) {
  return request({
    url: '/his/companyDeduct/' + deductId,
    method: 'get'
  })
}

// 新增扣款管理
export function addCompanyDeduct(data) {
  return request({
    url: '/his/companyDeduct',
    method: 'post',
    data: data
  })
}

// 修改扣款管理
export function updateCompanyDeduct(data) {
  return request({
    url: '/his/companyDeduct',
    method: 'put',
    data: data
  })
}

// 删除扣款管理
export function delCompanyDeduct(deductId) {
  return request({
    url: '/his/companyDeduct/' + deductId,
    method: 'delete'
  })
}

// 导出扣款管理
export function exportCompanyDeduct(query) {
  return request({
    url: '/his/companyDeduct/export',
    method: 'get',
    params: query
  })
}